//------------------------------------------------------------------------------
// AccountGlobals.h
//
// Copyright (c) 2006 MotiMotion
// All rights reserved.
//
// Author: Michael Rutt (michael@motimotion.com)
//		   http://blogs.motimotion.com/michael
//------------------------------------------------------------------------------
// AccountGlobals.h defines various static constants that are used in the
// Prospects.Accounts package.
//------------------------------------------------------------------------------

#ifndef ACCOUNT_GLOBALS
#define ACCOUNT_GLOABLS

// Row height for a binder in the accounts table
static const float PBinderRowHeight = 32.0;

// Row height for an account in the accounts table
static const float PAccountRowHeight = 26.0;

//------------------------------------------------------------------------------
// BankAccount types
//------------------------------------------------------------------------------

// Defines a savings account type
static const int PSavingsAccount = 0;
// Defines a checking account type
static const int PCheckingAccount = 1;

//------------------------------------------------------------------------------
// Key names and Relationships for the Account entity
//------------------------------------------------------------------------------

// Entity name
static NSString * PAcctEntity = @"Account";
// Name of the account
static NSString * PAcctNameK = @"name";
// Description of the account
static NSString * PAcctDescriptionK = @"longDescription";
// Icon displayed for the account in the account list
static NSString * PAcctIconK = @"icon";
// Balance of the account
static NSString * PAcctBalanceK = @"balance";
// The parent account (i.e. the binder) that contains the account
static NSString * PAcctParentR = @"parent";
// The transactions associated with this account
static NSString * PAcctTransactionsR = @"transactions";
// The accounts contained within the account (Binders only)
static NSString * PAcctChildrenR = @"children";
// The budget tied to this account
static NSString * PAcctBudgetR = @"budget";

//------------------------------------------------------------------------------
// Key names and Relationships for the Binder entity
//------------------------------------------------------------------------------

// Entity name
static NSString * PBinderEntity = @"Binder";

//------------------------------------------------------------------------------
// Key names and Relationships for the BankAccount entity
//------------------------------------------------------------------------------

// Entity name
static NSString * PBankAcctEntity = @"BankAccount";
// The type of bank account 
static NSString * PBankAcctTypeK = @"type";

//------------------------------------------------------------------------------
// Key names and Relationships for the SavingsBondsAccount entity
//------------------------------------------------------------------------------

// Entity name
static NSString * PSavingsBondsAcctEntity = @"SavingsBondsAccount";

//------------------------------------------------------------------------------
// Key names and Relationships for the Transaction entity
//------------------------------------------------------------------------------

// Entity name
static NSString * PTransactionEntity = @"Transaction";
// Purpose of the transaction
static NSString * PTransPurposeK = @"purpose";
// Date transaction was recorded
static NSString * PTransDateK = @"date";
// The account containing this transaction
static NSString * PTransAcctR = @"account";
// The category relationship for this transaction
static NSString * PTransCategoryR = @"category";

//------------------------------------------------------------------------------
// Key names and Relationships for the BankAccountTransaction entity
//------------------------------------------------------------------------------

// Entity Name
static NSString * PBankTransEntity = @"BankAccountTransaction";
// The BankAccount associated with this transaction
static NSString * PBankTransAcctK = @"account";

//------------------------------------------------------------------------------
// Key names and Relationships for the SavingsBond entity
//------------------------------------------------------------------------------

// Entity Name
static NSString * PSavingsBondEntity = @"SavingsBond";

//------------------------------------------------------------------------------
// Key names and Relationships for the Category entity
//------------------------------------------------------------------------------

// Entity Name
static NSString * PCategoryEntity = @"Category";

#endif
