//
//  AccountNameAndBalanceCell.h
//  Prospects
//
//  Created by Michael Rutt on 11/8/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <MotiFoundation/MotiNumberFormatter.h>


@interface AccountNameAndBalanceCell : NSTextFieldCell
{
	// Defines the red color for the balance display
	NSColor*			redColor;
	
	// Defines the green color for the balance display
	NSColor*			greenColor;
	
	// Defines the gray color for the inactive budgets
	NSColor*			grayColor;
	
	// Number formatter for the balance string
	MotiNumberFormatter*	formatter;
	
	// Display attributes for the balance string
	NSDictionary*		balanceAttributes;
	
	// Is this a budget?
	BOOL				isBudget;
	
	// Is the budget active?
	BOOL				isBudgetActive;
	
	// Display the total in the cell?
	BOOL				_showTotal;
	
	NSManagedObject*	_account;
}

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) setIsBudget: (BOOL) budget active: (BOOL) active;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) setShowTotal: (BOOL) value;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) setAccount: (NSManagedObject*) account;

@end
