//
//  AccountTableViewDelegate.h
//  Prospects
//
//  Created by Michael Rutt on 2/2/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "AttachmentManager.h"

#import <Cocoa/Cocoa.h>
#import <MotiFoundation/MotiTableView.h>


@interface AccountTableViewDelegate : NSObject
{
	// Transactions manager
	IBOutlet id			transactionsManager;
	
	IBOutlet id			splitsController;
	
	IBOutlet id			categoryTable;
	
	/// Outlet to the splits table; used to properly manage the category popup
	IBOutlet id			splitsTable;

	// Viewpoint transactions manager; must be updated after a date is changed
	IBOutlet id			vpTransactionsManager;
		
	/// Outlet to the splits window delegate; used to set the target for the
	/// create splits menu item in the category list
	IBOutlet id			splitsWindowDelegate;
	
	/// The NSTableView that this delegate is associated with
	IBOutlet id			tableView;
	
	/// The attachment manager
	IBOutlet id			attachmentManager;
	
	/// The search bar; needed to see if we are filtering on anything
	IBOutlet id			searchField;
	
	/// Outlet to an array controller of the accounts
	IBOutlet id			accountsController;
	
	/// Outlet to the tree controller - so we can determine the currently
	/// selected account
	IBOutlet id			accountsTreeController;
	
	/// Outlet to the payee controller
	IBOutlet id			payeeController;

	/// The currently observed account
	NSManagedObject*	currentAccount;
	
	/// If currently adjusting columns, do not save the data
	BOOL				adjustingColumns;
	
	BOOL				_payeeChangedFromNil;
}

////////////////////////////////////////////////////////////////////////////////
/// Forces the table to read the column settings for the specified account and
/// adjust its display accordingly.  This should be called whenever the account
/// changes.
////////////////////////////////////////////////////////////////////////////////
- (void) adjustColumnsUsingAccount: (NSManagedObject*) account;

////////////////////////////////////////////////////////////////////////////////
/// Saves the current tableView settings for the currentAccount.
////////////////////////////////////////////////////////////////////////////////
- (void) saveColumns;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) transferToAccount: (id) sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
//- (void) showAttachmentsMenuForTransaction: (NSManagedObject*) transaction
//									 atRow: (int) row;


//==============================================================================
// Delegate methods.
//==============================================================================


////////////////////////////////////////////////////////////////////////////////
/// MotiTableView delegate method.
////////////////////////////////////////////////////////////////////////////////
- (BOOL) tableView: (MotiTableView*) aTableView
	   validateRow: (int) row
		   lastRow: (BOOL) isLastRow;

////////////////////////////////////////////////////////////////////////////////
/// MotiTableView delegate method.
////////////////////////////////////////////////////////////////////////////////
- (BOOL) shouldCreateRowInTableView: (MotiTableView*) aTableView;

////////////////////////////////////////////////////////////////////////////////
/// MotiTableView delegate method.
////////////////////////////////////////////////////////////////////////////////
- (void) createNewRowForTableView: (MotiTableView*) aTableView;

@end
