//------------------------------------------------------------------------------
// Binder.h
//
// Copyright (c) 2006 MotiMotion
// All rights reserved.
//
// Author: Michael Rutt (michael@motimotion.com)
//		   http://blogs.motimotion.com/michael
//------------------------------------------------------------------------------

#import <Cocoa/Cocoa.h>
#import "Account.h"

//------------------------------------------------------------------------------
// Represents the managed object Binder.
//------------------------------------------------------------------------------
@interface Binder : Account
{

}

//------------------------------------------------------------------------------
// observeValueForKeyPath:ofObject:change:context:		   (NSKeyValueObserving)
//------------------------------------------------------------------------------
- (void) observeValueForKeyPath: (NSString *) keyPath
					   ofObject: (id) object 
						 change: (NSDictionary *) change
						context: (void *) context;

//------------------------------------------------------------------------------
// Updates the balance of this binder by summing together all the balances of
// the accounts contained in this binder.
//------------------------------------------------------------------------------
- (void) updateBalance;

//------------------------------------------------------------------------------
// Registers as the observer of an accounts.  This binder should observe all
// its accounts.  This is automatically called...
// TODO: delete?
//------------------------------------------------------------------------------
- (void) registerAsObserverOfAccounts: (NSSet *)accounts;

//------------------------------------------------------------------------------
// Unregisters as an observer the specified accounts.  This should be used
// whenever an account is moved to another binder or is deleted.
// TODO: delete?
//------------------------------------------------------------------------------
- (void) unregisterAsObserverOfAccounts: (NSSet *)accounts;

@end
