//
//  BudgetItemRowCell.h
//  Prospects
//
//  Created by Michael Rutt on 5/20/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BudgetItemRowCell : NSTextFieldCell
{
	/// Budget item to display in the cell
	NSManagedObject*		budgetItem;
	
	/// Monthly amount to display in the cell
	float					monthlyAmount;
	
	/// Number formatter to use for displaying the amount
	NSNumberFormatter*		amountFormatter;
	
	/// Attributes dictionary for drawing the amount text in the cell
	NSMutableDictionary*	amountAttributes;

	/// Attributes dictionary for drawing the name text in the cell
	NSMutableDictionary*	nameAttributes;
		
	/// Attributes dictionary for drawing other text in the cell (category,
	/// recurrence string, etc)
	NSMutableDictionary*	textAttributes;
	
	NSColor*				incomeColor;
	NSColor*				expenseColor;
	NSColor*				savingsColor;
}

////////////////////////////////////////////////////////////////////////////////
/// Sets the budget item managed object to display when drawInteriorWithFrame
/// is called.
////////////////////////////////////////////////////////////////////////////////
- (void) setBudgetItem: (NSManagedObject*) item;

////////////////////////////////////////////////////////////////////////////////
/// Sets the monthly average for the budget item.
////////////////////////////////////////////////////////////////////////////////
- (void) setMonthlyAmount: (float) amount;

@end
