//
//  BudgetViewController.h
//  Prospects
//
//  Created by Michael Rutt on 5/16/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <MotiFoundation/MotiTableView.h>
#import <MotiFoundation/MotiItemViewController.h>
#import <MotiFoundation/MotiNumberFormatter.h>


@interface BudgetViewController : MotiItemViewController
{
	/// Outlet to the category selection controller
	IBOutlet id		categoriesController;

	/// Outlet to the array controller for the items
	IBOutlet id		itemController;
	
	/// Outlet to the array controller for the active budget items
	IBOutlet id		activeItemController;

	/// Outlet to the account controller
	IBOutlet id		accountsController;
	
	/// Outlet to the recurrence controller
	IBOutlet id		recurrenceController;
	
	/// Outlet to the bar chart showing the income/expense amounts for the next
	/// tweleve months
	IBOutlet id		incomeExpenseChart;

	/// Outlet to the bar chart showing the surplis amounts for the next
	/// tweleve months
	IBOutlet id		surplusChart;

	/// Outlet to the line graph showing the cumulative surplus over the next
	/// tweleve months
	IBOutlet id		cumulativeSurplusChart;
	
	/// Outlet to the pie chart showing the income breakdown
	IBOutlet id		incomeBreakdownChart;

	/// Outlet to the pie chart showing the expense breakdown
	IBOutlet id		expenseBreakdownChart;
	
	/// Outlet to the budget manager
	IBOutlet id		budgetManager;
	
	/// Outlet to the description label (average surplus is displayed here)
	IBOutlet id		surplusLabel;
	
	/// Outlet to the item description text box
	IBOutlet id		descriptionBox;
	
	NSColor*		incomeColor;
	NSColor*		expenseColor;
	NSColor*		savingsColor;
	
	MotiNumberFormatter*	_amountFormatter;
}

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) deleteItem: (id) sender;

- (BOOL) validItem;

- (void) showAlertWithText: (NSString*) text
		 	   information: (NSString*) info;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) addItem;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) updateItem: (NSManagedObject*) item;

////////////////////////////////////////////////////////////////////////////////
/// Deletes the item at the specified index.
////////////////////////////////////////////////////////////////////////////////
- (void) deleteItemAtIndex: (int) index;

////////////////////////////////////////////////////////////////////////////////
/// Returns the currently selected item; must be overriden by the subclass.
////////////////////////////////////////////////////////////////////////////////
- (NSManagedObject*) selectedItem;

////////////////////////////////////////////////////////////////////////////////
/// 
////////////////////////////////////////////////////////////////////////////////
- (void) populateCharts: (id) value;

////////////////////////////////////////////////////////////////////////////////
/// Implements MotiTableView delegate method to delete a row in the table.
////////////////////////////////////////////////////////////////////////////////
- (void) tableView: (MotiTableView*) aTableView deleteRow: (float) index;

@end
