////////////////////////////////////////////////////////////////////////////////
//  BudgetViewPointController.h
////////////////////////////////////////////////////////////////////////////////
///
/// @brief	Controls the budget viewpoint instance.
///
/// This class controls the budget viewpoint instance found on the budget
/// screen.  It is responsible for managing the various charts that can be 
/// displayed while working with a budget.
///
/// Copyright (c) 2006, 2007 MotiMotion.
///
/// @author	Michael Rutt
///			<a href="mailto:michael@motimotion.com">michael@motimotion.com</a>
///			<a href="http://www.mikerutt.com">http://www.mikerutt.com</a>
///
////////////////////////////////////////////////////////////////////////////////

#import <Cocoa/Cocoa.h>

#import <MotiFoundation/MotiViewPointController.h>
#import <MotiGraphs/MotiBarChartView.h>


@interface BudgetViewPointController : MotiViewPointController
{
	/// The income/expense bar chart view
	IBOutlet id						incomeExpenseChartView;
	
	/// The income/expense/savings bar chart
	IBOutlet id						incomeExpenseChart;

	/// The monthly surplus bar chart view
	IBOutlet id						monthlySurplusChartView;

	/// The cumulative surplus bar chart view
	IBOutlet id						cumulativeSurplusChartView;
	
	/// The pie charts showing category allocations
	IBOutlet id						categoryBreakdownChartView;

	/// The cumulative surplus line chart
	IBOutlet id						cumulativeSurplusChart;
}

@end
