//

#import "ViewPointController.h"
#import <Cocoa/Cocoa.h>
#import "MotiTreeController.h"


@interface CategoriesController : MotiTreeController
{
	/// The delete category warning panel
	IBOutlet id		deleteWarningPanel;
	
	/// Modal code of the warning window
	int				_warningModalCode;
}

////////////////////////////////////////////////////////////////////////////////
/// Prompts the user as to whether or not they really want to remove the
/// category if the preference is not set to hide the warning.
////////////////////////////////////////////////////////////////////////////////
- (IBAction) removeCategory: (id) sender;

////////////////////////////////////////////////////////////////////////////////
/// Closes the warning and removes the category.
////////////////////////////////////////////////////////////////////////////////
- (IBAction) confirmCategoryRemoval: (id) sender;

////////////////////////////////////////////////////////////////////////////////
/// Closes the warning and cancels the category removal.
////////////////////////////////////////////////////////////////////////////////
- (IBAction) cancelCategoryRemoval: (id) sender;

@end
