//
//  Category.h
//  Prospects
//
//  Created by Michael Rutt on 4/1/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface Category : NSManagedObject
{

}

////////////////////////////////////////////////////////////////////////////////
/// Called after an empty Category has been created / inserted by the user.
/// Sets up the default category information.
////////////////////////////////////////////////////////////////////////////////
- (void) awakeFromInsert;

////////////////////////////////////////////////////////////////////////////////
/// Recursive function that traverse the entire subcategory list and ensure all
/// the longnames are up-to-date.
////////////////////////////////////////////////////////////////////////////////
- (void) updateChildrenLongNames;

////////////////////////////////////////////////////////////////////////////////
/// Called after a key's value has been changed in the category.
////////////////////////////////////////////////////////////////////////////////
- (void)didChangeValueForKey:(NSString *)key;

////////////////////////////////////////////////////////////////////////////////
/// Returns a string representation of the full category name.
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
- (NSString *) longNameForCategory;

////////////////////////////////////////////////////////////////////////////////
/// Returns a string representation of the category name used in the combobox
/// for selection.
////////////////////////////////////////////////////////////////////////////////
- (NSString *) selectionNameForCategory;


//==============================================================================
// Validation methods.
//==============================================================================


////////////////////////////////////////////////////////////////////////////////
/// Validates the selection name of the category.
////////////////////////////////////////////////////////////////////////////////
//- (BOOL) validateSelectionName: (id *)ioValue error: (NSError **)outError;

@end
