//
//  ContentSplitViewDelegate.h
//  Prospects
//
//  Created by Michael Rutt on 1/9/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ContentSplitViewDelegate : NSObject
{
	/// Outlet to the content split view
	IBOutlet NSSplitView*	splitview;
	
	/// Outlet to the budget monitor view
	IBOutlet id				budgetMonitorView;
	
	/// Outlet to the viewpoint split view
	IBOutlet id				vpSplitView;
	
	/// Outlet to the viewpoints orientation button
	IBOutlet id				vpOrientationButton;
	
	/// Outlet to the viewpoints animation button
	IBOutlet id				vpAnimationButton;
	
	/// Outlet to the viewpoints animation button
	IBOutlet id				budgetMonitorButton;
	
	/// Outlet to the accounts controller (observes account changes)
	IBOutlet id				accountsController;
	
	/// Has this splitview changed orientation since the last display?
	BOOL					wasVertical;
	
	/// Has the splitview changed collapsed state since the last display?
	BOOL					wasCollapsed;
	
	/// Is the view currently animating?
	BOOL					animating;
	
	BOOL					retrievingPreferences;
	
	/// Are the viewpoints collapsed?
	BOOL					collapsed;
	
	/// The account currently being observed
	NSManagedObject*		observedAccount;

	
	//NSImageView*		vpImageView;
}

////////////////////////////////////////////////////////////////////////////////
/// Returns YES if the budget monitor is active.
////////////////////////////////////////////////////////////////////////////////
- (BOOL) budgetMonitorActive;

////////////////////////////////////////////////////////////////////////////////
/// Returns YES if the viewpoint is collapsed.
////////////////////////////////////////////////////////////////////////////////
- (BOOL) collapsed;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) expandViewPoints;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) toggleBudgetMonitor: (id) sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) toggleViewPoints: (id) sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) toggleViewPointsOrientation: (id)sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) changeToAccount: (NSManagedObject*) account;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) storePreferences;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) retrievePreferences;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (BOOL) showingBudgetMonitor;

@end
