//
//  ImportRulesController.h
//  Prospects
//
//  Created by Michael Rutt on 10/7/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AdvancedImportRule.h"

/// The maximum number of import conditions supported
static const unsigned	MaxImportConditions = 3;

/// The maximum number of import actions supported
static const unsigned	ImportRulesTableViewTag = 10;


@interface ImportRulesController : NSArrayController
{
	IBOutlet id			rulesPanel;
	
	IBOutlet id			rulePanel;
	
	/// Accounts controller to determine if selected account can have rules
	/// applied at this time
	IBOutlet id			accountsController;
	
	/// Outlet to the rules menu
	IBOutlet id			importManager;
	
	// TODO: Delete??  Not used!
	IBOutlet id			rulesSheetController;
	
	IBOutlet id			conditionsController;
	
	/// YES when adding a new rule; NO when editing an existing rule
	bool				addingRule;
}

- (IBAction) applyRulesToSelectedAccounts: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (void) ruleSheetDidEnd: (NSWindow *) sheet
			  returnCode: (int) returnCode
			 contextInfo: (void *) contextInfo;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (IBAction) addRule: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (IBAction) editRule: (id) sender;

////////////////////////////////////////////////////////////////////////////////
/// Duplicates the current rule and then opens it to be edited.
////////////////////////////////////////////////////////////////////////////////
- (IBAction) duplicateRule: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (IBAction) cancelAddRule: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (IBAction) confirmAddRule: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (IBAction) deleteRule: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (IBAction) showRuleSheet: (id) sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) helpButtonPressed: (id) sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) helpEditButtonPressed: (id) sender;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (void) addNewImportRule;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
- (void) updateImportRule: (AdvancedImportRule *) rule;

@end
