//------------------------------------------------------------------------------
// MotiDateTextCell.h
//
// Copyright (c) 2006 MotiMotion
// All rights reserved.
//
// Author: Michael Rutt (michael@motimotion.com)
//		   http://blogs.motimotion.com/michael
//------------------------------------------------------------------------------

#import <Cocoa/Cocoa.h>

//------------------------------------------------------------------------------
// Defines enumerated type for possible cell sizes
//------------------------------------------------------------------------------
typedef enum _MotiCellSize
{
	MotiSmall = -1,
	MotiMedium,
	MotiLarge
} MotiCellSize;

//------------------------------------------------------------------------------
// TODO: class description...
//------------------------------------------------------------------------------
@interface MotiDateTextCell : NSTextFieldCell
{
	// Date formatter attached to 
	NSDateFormatter	*	dateFormatter;
	
	// The text cell used for manual date entry
	NSTextFieldCell	*	dateTextCell;
	
	// Button cell used to display the button that drops down the 
	NSButtonCell	*	dateButtonCell;
	
	// Size of the cell
	MotiCellSize		cellSize;
}

@end
