//------------------------------------------------------------------------------
// MotiTreeController.m
//
// Copyright (c) 2006 MotiMotion
// All rights reserved.
//
// Author: Michael Rutt (michael@motimotion.com)
//		   http://blogs.motimotion.com/michael
//
// Credit: Based on code by Wil Shipley
// http://wilshipley.com/blog/2006/04/pimp-my-code-part-10-whining-about.html
//------------------------------------------------------------------------------

#import <Cocoa/Cocoa.h>


//------------------------------------------------------------------------------
// The MotiTreeController class extends the functionality of the base
// NSTreeController class to better support selection routines.
//------------------------------------------------------------------------------
@interface MotiTreeController : NSTreeController
{
	// None...
}

//------------------------------------------------------------------------------
// Sets the selection index to use the array of specified objects.  This
// behaves in the same manner as the setSelectedObjects call on an
// NSArrayController.  Specifying nil for newSelectedObjects results in
// clearing the selection of the tree.
//------------------------------------------------------------------------------
- (void) motiSetSelectedObjects: (NSArray *)newSelectedObjects;

//------------------------------------------------------------------------------
// Returns an NSIndexPath to a specified object in the tree.  If the object is
// not found, nil is returned.
//------------------------------------------------------------------------------
- (NSIndexPath *) indexPathToObject: (id)object;

@end
