#ifndef PTOOLBARDELEGATE_H
#define PTOOLBARDELEGATE_H
//------------------------------------------------------------------------------
// PToolbarDelegate.h
//
// Copyright (c) 2006 MotiMotion
// All rights reserved.
//
// Author: Michael Rutt (michael@motimotion.com)
//		   http://blogs.motimotion.com/michael
//------------------------------------------------------------------------------

#import <Cocoa/Cocoa.h>


//------------------------------------------------------------------------------
// The PToolbarDelegate class acts as the delegate for the main Prospects
// document toolbar.  This delegate handles toolbar actions and customization
// actions.
//------------------------------------------------------------------------------
@interface PToolbarDelegate : NSObject
{
	// The search field view
    IBOutlet id searchItemView;
	
	// The import manager
	IBOutlet id importManager;
	
	// The report manager
	IBOutlet id	reportController;
	
	// The accounts controller
	IBOutlet id accountController;
	
	// The document using this toolbar delegate
	IBOutlet id document;
	
	NSToolbar*	_toolbar;
}

// Custom toolbar items
NSString * PSearchItemIdentifier	= @"SearchItem";
NSString * PCategoryItemIdentifier	= @"CategoryItem";
NSString * PRulesItemIdentifier		= @"Rules";
NSString * PImportItemIdentifier	= @"ImportItem";
NSString * PPayeeItemIdentifier		= @"PayeeItem";

//------------------------------------------------------------------------------
// toolbar: itemForItemIdentifier: willBeInsertedIntoToolbar:
//------------------------------------------------------------------------------
- (NSToolbarItem *)toolbar:(NSToolbar *)toolbar
     itemForItemIdentifier:(NSString *)itemIdentifier
 willBeInsertedIntoToolbar:(BOOL)flag;

//------------------------------------------------------------------------------
// Returns an array of allowable toolbar items.
//------------------------------------------------------------------------------
- (NSArray *)toolbarAllowedItemIdentifiers:(NSToolbar *)toolbar;

//------------------------------------------------------------------------------
// Returns an array of the default set of toolbar items.
//------------------------------------------------------------------------------
- (NSArray *)toolbarDefaultItemIdentifiers:(NSToolbar *)toolbar;

@end

#endif
