//------------------------------------------------------------------------------
// PreferencesToolbarDelegate.h
//
// Copyright (c) 2006 MotiMotion
// All rights reserved.
//
// Author: Michael Rutt (michael@motimotion.com)
//		   http://blogs.motimotion.com/michael
//------------------------------------------------------------------------------

#import <Cocoa/Cocoa.h>

////////////////////////////////////////////////////////////////////////////////
/// The PreferencesToolbarDelegate acts as the delegate to the Prospects
/// preferences panel toolbar.  The toolbar displays all the preference pane
/// icons that are available to the user.
////////////////////////////////////////////////////////////////////////////////
@interface PreferencesToolbarDelegate : NSObject
{
	IBOutlet id		d_controller;
}

// Identifiers for the preference panes
extern const NSString * PGeneralItemIdentifier;
extern const NSString * PDisplayItemIdentifier;
extern const NSString * PBudgetsItemIdentifier;
extern const NSString * PImportPrefItemIdentifier;
//extern const NSString * PMMAccountItemIdentifier; // = @"MMAcountItem";
//extern const NSString * PAppearanceItemIdentifier; // = @"AppearanceItem";
//extern const NSString * PImportRulesItemIdentifier; // = @"ImportRulesItem";


////////////////////////////////////////////////////////////////////////////////
/// Implements toolbar method to return the toolbar item for the specified
/// item identifier.
////////////////////////////////////////////////////////////////////////////////
- (NSToolbarItem*) toolbar: (NSToolbar*) toolbar
     itemForItemIdentifier: (NSString*) itemIdentifier
 willBeInsertedIntoToolbar: (BOOL) flag;

////////////////////////////////////////////////////////////////////////////////
/// Implements toolbar method to return the list of all possible toolbar item
/// identifiers.  This is used when customizing the toolbar.
////////////////////////////////////////////////////////////////////////////////
- (NSArray*) toolbarAllowedItemIdentifiers: (NSToolbar*) toolbar;

////////////////////////////////////////////////////////////////////////////////
// Implements toolbar method to return the list of default toolbar items.
////////////////////////////////////////////////////////////////////////////////
- (NSArray *)toolbarDefaultItemIdentifiers:(NSToolbar *)toolbar;

@end
