/* ProspectsPreferencesController */

#import "PreferencesToolbarDelegate.h"
#import <PreferencePanes/PreferencePanes.h>
#import <Cocoa/Cocoa.h>

//------------------------------------------------------------------------------
// TODO: Class description...
//------------------------------------------------------------------------------
@interface ProspectsPreferencesController : NSWindowController
{
	// The preferences panel toolbar delegate
    IBOutlet PreferencesToolbarDelegate * d_toolbarDelegate;
	
	// Has the toolbar been loaded yet?
	BOOL toolbarLoaded;
	
	/// Outlet to the general preferences view
	IBOutlet id			d_generalView;

	/// Outlet to the budget preferences view
	IBOutlet id			d_budgetView;
	
	/// Outlet to the import view
	IBOutlet id			importView;
	
	NSView*				_emptyContentView;
	
	// MotiMotion Account preference pane
	NSPreferencePane * d_MMAccountPrefPane;
	
	// Appearance preference pane
	NSPreferencePane * d_AppearancePrefPane;
	
	// Import Rules preference pane
	NSPreferencePane * d_ImportRulesPrefPane;
	
	NSOpenPanel*		attachmentsLocationPanel;
}

//------------------------------------------------------------------------------
// Sets up the toolbar and attaches it to the preferences panel.
//------------------------------------------------------------------------------
- (void)setupToolbar;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (IBAction) changeAttachmentsLocation: (id) sender;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) attachmentsLocationSheetDidEnd: (NSOpenPanel*) panel
							 returnCode: (int) returnCode
							contextInfo: (void*) contextInfo;

////////////////////////////////////////////////////////////////////////////////
///
////////////////////////////////////////////////////////////////////////////////
- (void) setAttachmentsLocationButton;

- (void) copyAttachmentsFromPath: (NSString*) oldPath
						  toPath: (NSString*) newPath;

//------------------------------------------------------------------------------
// Called when the MotiMotion icon is selected in the preferences panel toolbar.
// This method loads the MotiMotion Account Preference Pane and displays it
// to the user in the preferences panel.
//------------------------------------------------------------------------------
- (IBAction) showMotiMotionPane: (id)sender;

- (IBAction) showAppearancePane: (id)sender;

- (IBAction) showImportRulesPane: (id)sender;

- (IBAction) showDisplayPane: (id)sender;

- (IBAction) showGeneralPane: (id)sender;

- (IBAction) showBudgetPane: (id)sender;

//------------------------------------------------------------------------------
// Contains the actual code to load an unloaded preference panel.  If the panel
// is already loaded, the function simply returns.
// returns		True on success; false on failure.
//------------------------------------------------------------------------------
- (NSPreferencePane *) loadPreferencePane:(NSString *)name;

//------------------------------------------------------------------------------
// Contains the actual code to display a selected preference pane in the 
// preferences panel.
//------------------------------------------------------------------------------
- (void) showPreferencePane: (NSView*) view animate: (BOOL) animate; //(NSPreferencePane *)pane;

- (IBAction) generalHelpButtonPressed: (id) sender;
- (IBAction) budgetHelpButtonPressed: (id) sender;
- (IBAction) importHelpButtonPressed: (id) sender;

@end
