//
//  QIFTranslator.h
//  Prospects
//
//  Created by Michael Rutt on 10/15/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BaseTranslator.h"
#import "TransactionsController.h"


@interface QIFTranslator : BaseTranslator
{
	NSString*					_dateFormat;
	
	NSNumberFormatter*			_amountFormatter;
	
	NSDecimalNumberHandler*		_handler;
}

- (NSManagedObject*) importCategoryWithLongName: (NSString*) longName;

- (BOOL) importCategory: (NSManagedObject*) object;

- (NSManagedObject*) getParentCategoryForObject: (NSManagedObject*) qifCategory;

- (NSManagedObject*) getParentCategoryWithLongName: (NSString*) longName;

- (BOOL) doesCategoryWithLongnameExist: (NSString*) longName;

- (NSString*) nextAvailableCategoryColorKey;

- (BOOL) importAccount: (NSManagedObject*) object;

- (BOOL) doesAccountWithNameExist: (NSString*) name;

- (NSManagedObject*) binderForImportedAccounts;

////////////////////////////////////////////////////////////////////////////////
/// Sets the date format used to convert the date string to an NSDate.
////////////////////////////////////////////////////////////////////////////////
- (void) setDateFormat: (NSString*) dateFormat;

////////////////////////////////////////////////////////////////////////////////
/// Sets the decimal format used when converting an amount to a decimal number.
////////////////////////////////////////////////////////////////////////////////
- (void) setDecimalSeparator: (NSString*) decimalSeparator;

@end
