//
//  SplitsController.h
//  Prospects
//
//  Created by Michael Rutt on 2/2/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Transaction.h>
#import <MotiFoundation/MotiNumberFormatter.h>


@interface SplitsController : NSArrayController
{
	/// The account controller; used to determine if we're looking at
	/// a credit card account
	IBOutlet id		accountController;

	/// The transactions controller
	IBOutlet id		transactionsController;
	
	/// The splits window delegate
	IBOutlet id		windowDelegate;
	
	MotiNumberFormatter*	_formatter;
}

////////////////////////////////////////////////////////////////////////////////
/// Refreshes the information label
////////////////////////////////////////////////////////////////////////////////
- (void) refreshInformationLabel;

////////////////////////////////////////////////////////////////////////////////
/// Creates a new split for the currently selected transaction in the
/// transactions controller.
////////////////////////////////////////////////////////////////////////////////
- (Transaction*) createSplit;

////////////////////////////////////////////////////////////////////////////////
/// Returns the sum of the amounts of the splits.
////////////////////////////////////////////////////////////////////////////////
- (NSDecimalNumber*) splitTotal;

////////////////////////////////////////////////////////////////////////////////
/// Returns the difference between the parent transaction and the sum of the
/// splits.  For example, if the parent transaction is $100 and the splits sum
/// is $75, the difference is $25.
////////////////////////////////////////////////////////////////////////////////
- (NSDecimalNumber*) splitDifference;

- (BOOL) validateSplit;

@end
