////////////////////////////////////////////////////////////////////////////////
//  ViewPointPopUpButton.h
////////////////////////////////////////////////////////////////////////////////
///
/// @brief	Custom popup button for the ViewPoint list menu.
///
/// Displays a custom NSPopUpButton that is used to show the currently displayed
/// ViewPoint.  This class displays the ViewPoint title in a gray rounded
/// rectangle.
///
/// Copyright (c) 2006 MotiMotion.
///
/// @author	Michael Rutt
///			<a href="mailto:michael@motimotion.com">michael@motimotion.com</a>
///			<a href="http://www.mikerutt.com">http://www.mikerutt.com</a>
///
////////////////////////////////////////////////////////////////////////////////

#import <Cocoa/Cocoa.h>


@interface ViewPointPopUpButton : NSPopUpButton
{
	/// The color of the rounded rectangle background
	NSColor*		roundedRectangleColor;
	
	/// The color to fill the background with
	NSColor*		backgroundColor;
	
	/// The display attributes to use for the text in the rounded rectangle
	NSDictionary*	displayAttributes;
}

@end
